%define name	PHProjekt
%define version	4.1
%define release	1mdk

Summary:	PHProjekt is a groupware suite.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://www.phprojekt.com/
Source0:	phprojekt-%{version}.tar.bz2
Requires:	apache2
Requires:	mod_php >= 4.3.0
Requires:	php >= 4.3.0
Requires:	php-calendar >= 4.3.0
Requires:	php-common >= 4.3.0
Requires:	php-gd >= 4.3.0
Requires:	php-imap >= 4.3.0
Requires:	php-mysql >= 4.3.0
Requires:	php-posix >= 4.3.0
BuildRequires:	perl
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
PHProjekt is a groupware suite which supports communication and
management of teams and companies via an Intranet and the
Internet. It consists of multiple components, including a group
calendar with resource booking, a time card system, project
management, a request tracker, a mutual filesystem, a contact
manager, a mail client, a forum, chat, notes, shared bookmarks,
todo lists, a voting system, and reminders. An API allows the
integration of several available addons (e.g. Web shop, WAP suite,
sync tools) or own applications. It is available for MySQL,
Postgres, Interbase, Oracle, Informix, MS-SQL, and 25 languages.

%prep

%setup -q -n phprojekt-%{version}

%build

# cleanup
find . -type d -name CVS | xargs rm -rf

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/var/www/html/%{name}

cp -ar * %{buildroot}/var/www/html/%{name}/
touch %{buildroot}/var/www/html/%{name}/config.inc.php

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(0644, root, root,0755)
%exclude /var/www/html/%{name}/config.inc.php
%exclude /var/www/html/%{name}/ChangeLog
%exclude /var/www/html/%{name}/install
%exclude /var/www/html/%{name}/readme
/var/www/html/%{name}
%config(noreplace) %attr(0644,apache,apache) /var/www/html/%{name}/config.inc.php
%doc ChangeLog install readme
	
%changelog
* Thu Dec 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.1-1mdk
- 4.1

* Tue Aug 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.0.4-1mdk
- 4.0.4
- misc spec file fixes

* Mon May 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.0.2-1mdk
- 4.0.2
- fix requires & buildrequires
- misc spec file fixes

* Thu Apr 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.0-1mdk
- 4.0
- a lot nicer spec file ;)

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.3-2mdk
- misc spec file fixes

* Mon Sep 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.3-1mdk
- the actual contrib :)

* Sun May 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2a-1mdk
- initial cooker contrib
